package com.guit.client.place.event;

import com.google.gwt.event.shared.GwtEvent;

public class PlaceBackEvent extends GwtEvent<PlaceBackHandler> {

    private static Type<PlaceBackHandler> type;

    public static Type<PlaceBackHandler> getType() {
        return type != null ? type : (type = new Type<PlaceBackHandler>());
    }

    public PlaceBackEvent() {
    }

    @Override
    protected void dispatch(PlaceBackHandler handler) {
        handler.onPlaceBack(this);
    }

    @Override
    public Type<PlaceBackHandler> getAssociatedType() {
        return getType();
    }
}
