/*
 * Copyright 2010 Gal Dolber.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.guit.client.binder;

import com.guit.client.Presenter;
import com.guit.client.View;
import com.guit.client.eventbus.EventBus;

/**
 * Use GuitBinder instead.
 */
@Deprecated
public interface ViewBinder<P extends Presenter, V extends View> {

    /**
     * Bind events.
     * @param presenter the Presenter
     * @param view the View
     * @param eventBus the EventBus
     */
    void bind(P presenter, V view, EventBus eventBus);

    /**
     * Unbind all handlers.
     */
    void unbind();
}
